Subject: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Apr 2021 18:08:50 +0300

> From: Michael Welsh Duggan <[email-masked]>
> Date: Thu, 08 Apr 2021 10:35:53 -0400
> Cc: Michael Welsh Duggan <[email-masked]>,
>  "[email-masked]" <[email-masked]>,
>  "[email-masked]" <[email-masked]>
> 
> I've yet to run this code yet (will do so shortly), but I'd like to
> mention that some other debugging I've been doing involving tricky
> breakpoint commands is implying that, somehow, list_windows() is getting
> called while list_windows() is still running.  I've got a breakpoint
> at the beginning of the if clause in window_list() and one at the end,
> and it looks like I'm seeing the first one get called twice without the
> second getting called inbetween.

That could mean some code signals an error, or throws to catchpoint,
before the second breakpoint is hit.